Bug 531429 - libvirt failed to disconnect and double free crashes on F12/rawhide with Xen
libvirt failed to disconnect and double free crashes on F12/rawhide with Xen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-28 05:37 EDT by Pasi Karkkainen
Modified: 2009-11-06 07:56 EST (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.7.1-15.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-30 12:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pasi Karkkainen 2009-10-28 05:37:26 EDT
Description of problem:
On F12/rawhide host with Xen and pv_ops dom0 kernel
"virsh list" and "virsh --connect xen:/// version" terminate with 
"virsh: error: failed to disconnect from the hypervisor" error.

The latter also gives a crash:
"*** glibc detected *** virsh: double free or corruption (fasttop): 0x0000000000936250 ***"

Version-Release number of selected component (if applicable):

[root f12test ~]# rpm -qa | grep -i libvirt
libvirt-python-0.7.1-13.fc12.x86_64
libvirt-0.7.1-13.fc12.x86_64
libvirt-client-0.7.1-13.fc12.x86_64

[root f12test ~]# rpm -qa | grep -i xen
kernel-2.6.31.4-1.2.73.xendom0.fc12.x86_64
xen-3.4.1-5.fc12.x86_64
xen-runtime-3.4.1-5.fc12.x86_64
kernel-devel-2.6.31.4-1.2.73.xendom0.fc12.x86_64
xen-libs-3.4.1-5.fc12.x86_64
xen-hypervisor-3.4.1-5.fc12.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Install F12/rawhide
2. Install Xen dom0 kernel and boot into Xen
3. run "virsh list" or "virsh --connect xen:/// version"
  
Actual results:
Errors and/or a virsh crash.

Expected results:
Works normally.

Additional info:
an email on libvirt-list suggests these bugs have been fixed in libvirt 0.7.2:
https://www.redhat.com/archives/libvir-list/2009-October/msg00754.html

More information:
https://www.redhat.com/archives/libvir-list/2009-October/msg00753.html
Comment 1 Mark McLoughlin 2009-10-29 06:42:38 EDT
Okay, AFAICT, these are the two fixes:

  http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=6ed7374c5a
  http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=1caa19cb06

I've pulled them into F-12 now:

* Thu Oct 29 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.1-14
- Fix xen driver recounting (#531429)
- Fix crash on virsh error (#531429)
- Fix segfault where XML parsing fails in qemu disk hotplug
- Fix segfault where interface target device name is ommitted (#523418)

Will build and request tagging later
Comment 2 Pasi Karkkainen 2009-10-30 06:56:56 EDT
Ok, thanks.

I'll test it when it's available..
Comment 3 Mark McLoughlin 2009-10-30 11:45:53 EDT
tag request: https://fedorahosted.org/rel-eng/ticket/2927
Comment 4 Pasi Karkkainen 2009-11-06 07:56:57 EST
0.7.1-15 in rawhide seems to work OK with Xen.

Thanks again!

Note You need to log in before you can comment on or make changes to this bug.